For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
      • GETGet an end user
      • PATCHUpdate an end user
      • GETGet multiple end users
      • POSTCreate an end user
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
End UsersEnd Users

Update an end user

PATCH
https://example.ada.support/api/v2/end-users/:end_user_id
PATCH
/api/v2/end-users/:end_user_id
1import requests
2
3url = "https://example.ada.support/api/v2/end-users/end_user_id"
4
5payload = { "profile": {
6 "first_name": "Ada",
7 "last_name": "Lovelace",
8 "display_name": "Ada Lovelace",
9 "avatar": "https://example.com/avatars/ada.png",
10 "email": "ada.lovelace@ada.cx",
11 "language": "en-US",
12 "metadata": {
13 "example_key1": "example_string_value",
14 "example_key2": True,
15 "example_key3": 123
16 },
17 "sensitive_metadata": { "fields": {
18 "auth_token": "eyJhbGciOiJIUzI1NiIs...",
19 "session_id": "sess_abc123"
20 } }
21 } }
22headers = {
23 "Authorization": "Bearer <token>",
24 "Content-Type": "application/json"
25}
26
27response = requests.patch(url, json=payload, headers=headers)
28
29print(response.json())
1{
2 "end_user_id": "5f7e0e2c1e7c7e000f0f9c3a",
3 "profile": {
4 "first_name": "Ada",
5 "last_name": "Lovelace",
6 "display_name": "Ada Lovelace",
7 "avatar": "https://example.com/avatars/ada.png",
8 "email": "ada.lovelace@ada.cx",
9 "language": "en-US",
10 "metadata": {
11 "example_key1": "example_string_value",
12 "example_key2": true,
13 "example_key3": 123
14 },
15 "system_properties": {
16 "sunshine_user_id": "5f7e0e2c1e7c7e000f0f9c3a"
17 }
18 },
19 "created_at": "2020-09-20T00:00:00+00:00",
20 "updated_at": "2020-09-20T00:00:00+00:00"
21}
Update a specific end user by id
Was this page helpful?
Previous

Get multiple end users

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

end_user_idstringRequiredformat: "id"

The Ada end_user_id

Request

This endpoint expects an object.
profileobjectRequired
The end user's profile information
external_idstring or nullOptional<=36 characters

Set or update the external identifier for this end user. Pass null to remove the current external_id. Must be unique per AI Agent; maximum 36 characters; must not contain < or > characters. Values are stored case-insensitively. Returns 409 if the external_id is already assigned to a different end user. Available for custom channel integrations only (V1).

Response

OK
end_user_idstringRead-only

The unique Ada-generated id for the end user

external_idstring or nullRead-only

Caller-supplied identifier that links this end user to your own system (for example a CRM contact ID or a phone number). Unique per AI Agent. Null if not set. Maximum 36 characters; values are case-insensitive. Available for custom channel integrations only (V1).

profileobject
The end user's profile information
created_atstringRead-only
The date and time the end user was created
updated_atstringRead-only
The date and time the end user was updated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error